/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.mycompany.moduloseguridad.dao;

import com.mycompany.moduloseguridad.mysqldao.MySQLDAOFactory;

/**
 *
 * @author sistem17user
 */
public abstract class DAOFactory {

	public static final int MYSQL = 1;

	public static DAOFactory getDAOFactory(int Motor_Base) {
        if (Motor_Base == MYSQL) {
            return new MySQLDAOFactory();
        }
        return null;
    }

	public abstract TipoUsuarioDAO getTipoUsuario();

	public abstract ProyectoDAO getProyectoDAO();

	public abstract UsuarioDAO getUsuarioDAO();

	public abstract MenuDAO getMenuDAO();
}